'''
Created on 20-Jan-2022

@author: bthakur
'''

import os
import codecs
import inspect
import traceback
import random

from xv.util import UtilClass

# _stats_helper
# StatsHelper


class StatsHelper(UtilClass):
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)

        self._set_theory_helper = None
        self._data_handling_helper = None
        
        self._kwargs = kwargs
        pass

    def get_set_theory_helper(self):
        if self._set_theory_helper is None:
            self._init_set_theory_helper(**self._kwargs)
        return self._set_theory_helper
        pass

    def _init_set_theory_helper(self, **kwargs):  
        from ._set_theory_helper import SetTheoryHelper
        self._set_theory_helper = SetTheoryHelper(**kwargs) 
        pass

    def get_data_handling_helper(self):
        if self._data_handling_helper is None:
            self._init_data_handling_helper(**self._kwargs)
        return self._data_handling_helper
        pass

    def _init_data_handling_helper(self, **kwargs):  
        from ._data_handling_helper import DataHandlingHelper
        self._data_handling_helper = DataHandlingHelper(**kwargs) 
        pass

   
    pass
#class StatsHelper:
